<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:42:09 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.eclipse">org.eclipse.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="org.eclipse">
<!--   -->
</a>
<h2 title="org.eclipse">org.eclipse.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.<a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor">Activator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.Activator.PLUGIN_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/Activator.html#PLUGIN_ID">PLUGIN_ID</a></code></td>
<td class="colLast"><code>"org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.<a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/Utils.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor">Utils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.Utils.nsSep">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/Utils.html#nsSep">nsSep</a></code></td>
<td class="colLast"><code>"::"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.<a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor">PapyrusCDTEditor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.PapyrusCDTEditor.EDITOR_DEFAULT_NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#EDITOR_DEFAULT_NAME">EDITOR_DEFAULT_NAME</a></code></td>
<td class="colLast"><code>"CDT Editor"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.PapyrusCDTEditor.EDITOR_TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#EDITOR_TYPE">EDITOR_TYPE</a></code></td>
<td class="colLast"><code>"CDTEditorInPapyrus"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource.<a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource">TextEditorModelSharedResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource.TextEditorModelSharedResource.MODEL_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#MODEL_ID">MODEL_ID</a></code></td>
<td class="colLast"><code>"org.eclipse.papyrus.exteditor.cdt.CDTEditorModelSharedResource"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource.TextEditorModelSharedResource.NOTATION_FILE_EXTENSION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#NOTATION_FILE_EXTENSION">NOTATION_FILE_EXTENSION</a></code></td>
<td class="colLast"><code>"notation"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.preferences">CDTPreferenceConstants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.preferences.CDTPreferenceConstants.P_OPEN_LOCATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferenceConstants.html#P_OPEN_LOCATION">P_OPEN_LOCATION</a></code></td>
<td class="colLast"><code>"openLocation"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.preferences.CDTPreferenceConstants.P_SYNC_ALL_FILES">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferenceConstants.html#P_SYNC_ALL_FILES">P_SYNC_ALL_FILES</a></code></td>
<td class="colLast"><code>"syncAllFiles"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.preferences.CDTPreferenceConstants.P_SYNC_PERMANENTLY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferenceConstants.html#P_SYNC_PERMANENTLY">P_SYNC_PERMANENTLY</a></code></td>
<td class="colLast"><code>"syncPermanently"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.<a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync">SyncCDTtoModel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.SyncCDTtoModel.ansiCLib">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html#ansiCLib">ansiCLib</a></code></td>
<td class="colLast"><code>"AnsiCLibrary"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.SyncCDTtoModel.c_cpp_langID">
<!--   -->
</a><code>public&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html#c_cpp_langID">c_cpp_langID</a></code></td>
<td class="colLast"><code>"C/C++"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.SyncCDTtoModel.CONST">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html#CONST">CONST</a></code></td>
<td class="colLast"><code>"const"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.SyncCDTtoModel.REGISTER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html#REGISTER">REGISTER</a></code></td>
<td class="colLast"><code>"register"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.SyncCDTtoModel.sAtParam">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html#sAtParam">sAtParam</a></code></td>
<td class="colLast"><code>"@param"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync.SyncCDTtoModel.VOLATILE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html#VOLATILE">VOLATILE</a></code></td>
<td class="colLast"><code>"volatile"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
